Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.value
Class NotationValue

    java.lang.Object
      net.sf.saxon.value.Value
          net.sf.saxon.value.AtomicValue
              net.sf.saxon.value.QualifiedNameValue
                  net.sf.saxon.value.NotationValue

All Implemented Interfaces:
  Serializable, Comparable, SequenceIterable, Item, ValueRepresentation

    public final class NotationValue

extends QualifiedNameValue

An xs:NOTATION value.

See Also:
  Serialized Form

Field Summary

Fields inherited from class net.sf.saxon.value.Value
`EMPTY_CLASS_ARRAY, INDETERMINATE_ORDERING`

Fields inherited from interface net.sf.saxon.om.ValueRepresentation
`EMPTY_VALUE_ARRAY`

Constructor Summary
`NotationValue(String prefix, String uri, String localName)` Constructor for a value that is known to be valid
`NotationValue(String prefix, String uri, String localName, AtomicType typeLabel)` Constructor for a value that is known to be valid
`NotationValue(String prefix, String uri, String localName, NameChecker checker)` Constructor

Method Summary
`AtomicValue` | `convertPrimitive(BuiltInAtomicType requiredType, boolean validate, XPathContext context)` Convert to target data type
`AtomicValue` | `copy(AtomicType typeLabel)` Create a copy of this atomic value, with a different type label
`boolean` | `equals(Object other)` Determine if two Notation values are equal.
`BuiltInAtomicType` | `getPrimitiveType()` Determine the primitive type of the value.
`String` | `toString()` The toString() method returns the name in the form QName("uri", "local")

Methods inherited from class net.sf.saxon.value.QualifiedNameValue
`allocateNameCode, convertToJava, getClarkName, getLocalName, getNamespaceURI, getPrefix, getStringValue, hashCode, makeQName, makeQName`

Methods inherited from class net.sf.saxon.value.AtomicValue
`checkPermittedContents, convert, convert, effectiveBooleanValue, getCardinality, getComponent, getItemType, getLength, getStringValueCS, getTypedValue, getTypeLabel, getXPathComparable, hasBuiltInType, isMultiValued, itemAt, iterate, process, setTypeLabel`

Methods inherited from class net.sf.saxon.value.Value
`asItem, asItem, asIterator, asValue, compareTo, convert, convertJavaObjectToXPath, fromItem, getCanonicalLexicalRepresentation, getIterator, getSchemaComparable, iterate, makeQNameValue, reduce, stringToNumber`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NotationValue

    public NotationValue(String prefix,
                         String uri,
                         String localName,
                         NameChecker checker)
                  throws XPathException

  Constructor

  Parameters:
    `prefix` - The prefix part of the QName (not used in comparisons). Use null or "" to represent the default prefix.
    `uri` - The namespace part of the QName. Use null or "" to represent the null namespace.
    `localName` - The local part of the QName
  Throws:
    `XPathException`

### NotationValue

    public NotationValue(String prefix,
                         String uri,
                         String localName)

  Constructor for a value that is known to be valid

  Parameters:
    `prefix` - The prefix part of the QName (not used in comparisons). Use null or "" to represent the default prefix.
    `uri` - The namespace part of the QName. Use null or "" to represent the null namespace.
    `localName` - The local part of the QName

### NotationValue

    public NotationValue(String prefix,
                         String uri,
                         String localName,
                         AtomicType typeLabel)

  Constructor for a value that is known to be valid

  Parameters:
    `prefix` - The prefix part of the QName (not used in comparisons). Use null or "" to represent the default prefix.
    `uri` - The namespace part of the QName. Use null or "" to represent the null namespace.
    `localName` - The local part of the QName

Method Detail

### copy

    public AtomicValue copy(AtomicType typeLabel)

  Create a copy of this atomic value, with a different type label

  Specified by:
    `copy` in class `AtomicValue`
  Parameters:
    `typeLabel` - the type label of the new copy. The caller is responsible for checking that the value actually conforms to this type.

### getPrimitiveType

    public BuiltInAtomicType getPrimitiveType()

  Determine the primitive type of the value. This delivers the same answer as getItemType().getPrimitiveItemType(). The primitive types are the 19 primitive types of XML Schema, plus xs:integer, xs:dayTimeDuration and xs:yearMonthDuration, and xs:untypedAtomic. For external objects, the result is AnyAtomicType.

  Specified by:
    `getPrimitiveType` in class `AtomicValue`

### convertPrimitive

    public AtomicValue convertPrimitive(BuiltInAtomicType requiredType,
                                        boolean validate,
                                        XPathContext context)

  Convert to target data type

  Specified by:
    `convertPrimitive` in class `AtomicValue`
  Parameters:
    `requiredType` - an integer identifying the required atomic type
    `context` -
    `validate` - true if validation is required. If set to false, the caller guarantees that the value is valid for the target data type, and that further validation is therefore not required. Note that a validation failure may be reported even if validation was not requested.
  Returns:
    an AtomicValue, a value of the required type; or an ErrorValue

### equals

    public boolean equals(Object other)

  Determine if two Notation values are equal. This comparison ignores the prefix part of the value.

  Overrides:
    `equals` in class `Value`
  Throws:
    `ClassCastException` - if they are not comparable
    `IllegalStateException` - if the two QNames are in different name pools

### toString

    public String toString()

  The toString() method returns the name in the form QName("uri", "local")

  Overrides:
    `toString` in class `QualifiedNameValue`
  Returns:
    the name in Clark notation: {uri}local

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Michael H. Kay. All rights reserved.